<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vacancy"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.0 / November 2013 ===

*/

if (!defined('CPO')) exit;
$translator->addTranslation('translation', CPO_BASEDIR.$moduleDirectory.'/lang');

define ("CPO_MOD_VACANCY", $dbPrefix."_mod_vacancy");

$GLOBALS['modules'][$moduleDirectory] = array(
	'directory'	=>$moduleDirectory,
	'caption'   => __('Vacancy').' ('.$moduleDirectory.')',
    'install'   =>'function: Vacancy_install '.$moduleDirectory,
    'activate'  =>'function: Vacancy_activate',
    'deactivate'=>'function: Vacancy_deactivate',
    'uninstall' =>'function: Vacancy_uninstall '.$moduleDirectory,
    'manage'    =>'function: Vacancy_manage '.$moduleDirectory,
	'help'      =>'http://manual.conpresso4.de/vacancy/',
	'owner'     =>$cpoSystem['owner'],
	'lkey'      =>'',
	'mod_id'	=> 24,
// Module settings -------------------------------------------------------------------------------------
	'rights'    =>array('1'=>'111'),
	'custom_fields'=>"Belegt;#FF0000\nReserviert;#FFAAAA\nWochenende;#AAAAAA\nFeiertag;#888888\nGeblockt;#666666\nBuchbar;#00FF00\nFrei;#EEEEEE",
	'weekend'   =>'#AAAAAA',
	'standard'  =>'#EEEEEE',
	'month'     =>'#FFAAAA',
	'default'   =>'Frei',
	'future'    =>8,
	'past'      =>2,
	'planning'  =>12,
	'show_legend'=>'yes',
	'legend'    =>__('Legend')
// END -------------------------------------------------------------------------------------
);
//}

// Hier kommen die Basis-Funktionen ***************************************************************

if (!function_exists('Vacancy_install'))  {
	function Vacancy_install($moduleDirectory)
	{
		global $dbPrefix, $db;
		include (CPO_BASEDIR.$GLOBALS['modules'][$moduleDirectory]['directory'].'/setup.inc.php');
		$vacancydb = new DB;
		$vacancydb->query("INSERT INTO ".CPO_OPTION." (type, options, id) VALUES ('vacancy', '".serialize(array("installed"=>time()))."', '') ");
		log_vacancy();
		$GLOBALS['message'][] = __('The vacancy-module was successfully installed!');
	}
}

if (!function_exists('Vacancy_activate'))  {
	function Vacancy_activate()
	{
		// Navigation reloaden in frame "cpo_navigation"
		$reload_navigation = "<script type=\"text/javascript\">";
		$reload_navigation .= "parent.cpo_navigation.location.href=\"../_admin/frame_navigation.php\";";
		$reload_navigation .= "</script>";

		$GLOBALS['message'][] = __('The vacancy-module got activated.').$reload_navigation;
	}
}

if (!function_exists('Vacancy_deactivate'))  {
	function Vacancy_deactivate()
	{
		$reload_navigation = "<script type=\"text/javascript\">";
		$reload_navigation .= "parent.cpo_navigation.location.href=\"../_admin/frame_navigation.php\";";
		$reload_navigation .= "</script>";

		$GLOBALS['message'][] = __('The vacancy-module got deactivated.').$reload_navigation;
	}
}

if (!function_exists('Vacancy_uninstall'))  {
	function Vacancy_uninstall($moduleDirectory)
	{
		global $dbPrefix, $db;
		$GLOBALS['message'][] .= sprintf(__('The module was removed from the ConPresso-system. To finally uninstall the module, please remove the module directory <i>%s</i>.'),$GLOBALS['modules'][$moduleDirectory]['directory']);
	}
}



if (!function_exists('Vacancy_manage'))  {
	function Vacancy_manage($moduleDirectory)
	{
		global $k, $module_status;
		printIcon(
			BASE_ABS.$GLOBALS['modules'][$moduleDirectory]['directory'].'/settings.php', 
			BASE_ABS.'_skin/conpresso/pic_settings.gif', 
			__('options'),
			array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE
		);
		printIcon(
			BASE_ABS.$GLOBALS['modules'][$moduleDirectory]['directory'].'/permission.php',
			BASE_ABS.'_skin/conpresso/pic_rights.gif', 
			__('rights'),
			array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE
		);
	}
}

if (!function_exists('Vacancy_navigation'))  {
	function Vacancy_navigation($moduleDirectory)
	{
		global $activeModules, $translator, $dbPrefix;

		$id = $_SESSION['SID_user']['id'];
		$rights = $activeModules[$moduleDirectory]['rights'][$id];
		$permission_to_see = $rights{0};
		$permission_to_edit = $rights{1};
		$permission_to_admin = $rights{2};
		if ($permission_to_see == '1') {

			$GLOBALS['navigation'][__('Vacancies')][] = array(
				'caption'=>$moduleDirectory,
				'title'=>sprintf(__('work on %s'),$moduleDirectory),
				'url'=>BASE_URL.$activeModules[$moduleDirectory]['directory'].'/edit.php'
			);
		}
	}
}

if (!function_exists('log_vacancy')) {
	function log_vacancy()
	{
		global $cpoSystem;
		@mail('kontakt@conpresso4.de','Das Modul Vacancy 4.0 wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
	}
}


if ($_SESSION['SID_user']['admin']>=ROLE_EDITOR)  {
    $hdlr_navigation[] = 'function: Vacancy_navigation '.$moduleDirectory;
}

if (!$activeModules[$moduleDirectory]['installed'])  {
	$vacancydb = new DB;
	$vacancydb->query('SELECT options FROM '.CPO_OPTION.' '
			  ."WHERE type='vacancy' ORDER BY id ASC LIMIT 0,1");
	while ($vacancydb->next_record()) {
		$options = $vacancydb->v('options');
		$vacancyOpt = unserialize($options);
		if (!is_array($vacancyOpt)) break;
		foreach ($vacancyOpt as $key=>$v) {
			$activeModules[$moduleDirectory][$key] = $v;
		}
	}
}

$hdlr_vacancies_articles[$activeModules[$moduleDirectory]['article']] = $moduleDirectory;
//print_r ($hdlr_vacancies_articles);

$hdlr_parser_content['vacancy']      = array('include: '.urlencode($GLOBALS['modules'][$moduleDirectory]['directory'].'/parser_c_vacancy.inc.php'));
$hdlr_parser_replacement['vacancy']  = array('include: '.urlencode($GLOBALS['modules'][$moduleDirectory]['directory'].'/parser_r_vacancy.inc.php'));
//print_r ($hdlr_parser_content);

if (	license($activeModules[$moduleDirectory]['lkey'],$activeModules[$moduleDirectory]['mod_id']) != 1 &&
		license($activeModules[$moduleDirectory]['lkey'],$activeModules[$moduleDirectory]['mod_id']) != 2 &&
		license($activeModules[$moduleDirectory]['lkey'],$activeModules[$moduleDirectory]['mod_id']) != 3 &&
		$activeModules[$moduleDirectory]['installed']<(time()-90*24*60*60) && 
		!isset($_POST['go']) &&
		@file_exists(CPO_BASEDIR.$activeModules[$moduleDirectory]['directory'].'/producer.inc.php')
	) 
	{
	include(CPO_BASEDIR.$activeModules[$moduleDirectory]['directory'].'/producer.inc.php');
	$message['license'] = '<strong>'.sprintf(___('Your 90 days %s evaluation period has expired!'),
		htmlspecialchars($MOD['product'], ENT_COMPAT, 'ISO-8859-15')).'</strong> ';
	$vacbreak = true;
}

?>
