<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vacancy"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.0 / November 2013 ===

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');

$vacancyStates = explode("\n",$activeModules[$directory]['custom_fields']);
foreach ($vacancyStates AS $vacancyState)  {
	$vacancy = explode ( ";", trim($vacancyState) );
	$states[$vacancy[0]]=$vacancy[1];
}

// Seitenausgabe ********************************************************

// Header
require(CPO_BASEDIR.'_include/header.php');

printPageHeader(
	__('Vacancies'),
	sprintf(__('In this view you can work on the vacancies of <em>%s</em>.'),$directory),
	'http://manual.conpresso4.de/vacancy',
	true,
	'modules'
);

require(CPO_BASEDIR."_include/message.php");

// Aktuelles Datum
$heute = getdate();

$query = "SELECT * FROM ".CPO_MOD_VACANCY." WHERE module='".$directory."' AND datum='".addslashes($_REQUEST['date'])."'";
DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query); 
if ($db->num_rows() == 0)  {
	$editmode = "new";
}  else  {
	$editmode = "edit";
}
while ($db->next_record())  {
	$datum = $db->v('datum');
	$kunde = $db->v('kunde');
	$text = $db->v('text');
	$description = $db->v('description');
	$status = $db->v('status');
}

$statusselect  = '<select name="status">';
$statusselect .= sprintf('<option value="%s"%s>%s</option>',
					$activeModules[$directory]['default'],
					( $status == $activeModules[$directory]['default'] ? ' selected="selected"' : '' ),
					$activeModules[$directory]['default']
					);
$statusselect .= "<option>---------------------</option>";

foreach ($states AS $key=>$value)  {
	if ($key != $activeModules[$directory]['default']) {
		$statusselect .= sprintf('<option value="%s"%s>%s</option>',
							$key,
							( $status == $key ? ' selected="selected"' : '' ),
							$key
							);
	}
}
$statusselect .= '</select>';

//Formular erstellen
echo '<table><form name="form" method="post" action="edit.php">';
echo '<tr><td>'.__('Date').'</td><td><input type="hidden" name="datum" value="'.$_REQUEST['date'].'"><input type="hidden" name="editmode" value="'.$editmode.'">'.$_REQUEST['date'].' ('.__($editmode).')</td></tr>';
echo '<tr><td>'.__('Customer').'</td><td><input type="text" name="kunde" value="'.htmlspecialchars($kunde, ENT_COMPAT, 'ISO-8859-15').'"></td></tr>';
echo '<tr><td>'.__('Title').'</td><td><input type="text" name="text" value="'.htmlspecialchars($text, ENT_COMPAT, 'ISO-8859-15').'"></td></tr>';
echo '<tr><td>'.__('Description').'</td><td><textarea name="description" rows="7" cols="50">'.htmlspecialchars($description, ENT_COMPAT, 'ISO-8859-15').'</textarea></td></tr>';
echo '<tr><td>'.__('State').'</td><td>'.$statusselect.'</td></tr>';
echo '<tr><td>&nbsp;</td><td><input type="submit" name="send" value="'.__('save').'"> <input type="submit" name="delete" value="'.__('delete').'"></td></tr>';
echo '<tr><td>&nbsp;</td><td> <br /><a href="edit.php">&laquo;&laquo; zurck zur bersicht</a></td></tr>';
echo '</form></table>';

// ==== footer =====
include(CPO_BASEDIR.$directory.'/producer.inc.php');
include(CPO_BASEDIR.'_include/footer.php');
?>
