<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vacancy"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.0 / November 2013 ===

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');

$pdabreite = 35;
$pdahoehe = 47;

$id = $_SESSION['SID_user']['id'];
$rights = $activeModules[$directory]['rights'][$id];
$permission_to_see = $rights{0};
$permission_to_edit = $rights{1};
$permission_to_admin = $rights{2};

$vacancyStates = explode("\n",$activeModules[$directory]['custom_fields']);
foreach ($vacancyStates AS $vacancyState)  {
	$vacancy = explode ( ";", trim($vacancyState) );
	$states[$vacancy[0]]=$vacancy[1];
}

if (isset($_POST['editmode']))  {
	// Daten eintragen
	// datum, kunde, text, description, status, zeit, user, module
	if ($_POST['editmode'] == "new")  {
		$query = sprintf("INSERT INTO %s VALUES ('%s','%s','%s','%s','%s','%s','%s','%s')",
				CPO_MOD_VACANCY,
				addslashes($_POST['datum']),
				addslashes($_POST['kunde']),
				addslashes($_POST['text']),
				addslashes($_POST['description']),
				addslashes($_POST['status']),
				'',
				$_SESSION['SID_user']['name'],
				$directory
				);
		DEBUG(1, $query, __FILE__, __LINE__);
		$db = new DB;
		$db->query($query); 
		logaction(__('Vacancies').' ('.$directory.')', __('new entry: ').$_POST['datum'].' '.$_POST['kunde']);
	}
	if ($_POST['editmode'] == "edit")  {
		if (isset($_POST['delete']))  {
			$query = sprintf("DELETE FROM %s WHERE datum='%s' AND module='%s'  ",
					CPO_MOD_VACANCY,
					$_POST['datum'],
					$directory
					);
			logaction(__('Vacancies').' ('.$directory.')', __('delete entry: ').$_POST['datum'].' '.$_POST['kunde']);
		} else {
			$query = sprintf("UPDATE %s SET kunde='%s', text='%s', description='%s', status='%s', zeit='%s', user='%s', module='%s' WHERE datum='%s' AND module='%s' ",
					CPO_MOD_VACANCY,
					addslashes($_POST['kunde']),
					addslashes($_POST['text']),
					addslashes($_POST['description']),
					addslashes($_POST['status']),
					'',
					$_SESSION['SID_user']['name'],
					$directory,
					$_POST['datum'],
					$directory
					);
			logaction(__('Vacancies').' ('.$directory.')', __('edit entry: ').$_POST['datum'].' '.$_POST['kunde']);
			}
		DEBUG(1, $query, __FILE__, __LINE__);
		$db = new DB;
		$db->query($query); 
	}
}

if (isset($_GET['drop']))  {
	// Jahreseintrge lschen
	$query = sprintf("DELETE FROM %s WHERE left(datum,4)='%s' AND module='%s'  ",
			CPO_MOD_VACANCY,
			$_GET['drop'],
			$directory
			);
	DEBUG(1, $query, __FILE__, __LINE__);
	$db = new DB;
	$db->query($query); 
	logaction(__('Vacancies').' ('.$directory.')', __('entries deleted: ').$_GET['drop']);
}

// Seitenausgabe ********************************************************

// Header
require(CPO_BASEDIR.'_include/header.php');

printPageHeader(
	__('Vacancies'),
	sprintf(__('In this view you can work on the vacancies of <em>%s</em>.'),$directory),
	'http://manual.conpresso4.de/vacancy',
	true,
	'modules'
);

require(CPO_BASEDIR."_include/message.php");


// Funktionen definieren
function cell($datum, $kunde, $text, $colour, $description, $kw, $datumstring, $border='')  {
	global $pdahoehe, $pdabreite, $permission_to_edit;
	$link = 'dateedit.php?date='.$datumstring;
	$info= $kw;
	$title = trim(implode("\n",array($kunde,$text,$description)));
	echo '	<td ';
	echo (substr($colour,0,1)=='#') ? 'style="background-color:'.$colour.';'.$border.'"' : 'style="background:url(../_images/'.$colour.') center;'.$border.'"';
	echo ' height="'.$pdahoehe.'" width="'.$pdabreite.'">';
	if ($permission_to_edit == '1')  {
		echo '<a href="'.$link.'" title="'.$title.'">'.$datum.'</a>'.$info;
	} else {
		echo '<span title="'.$title.'">'.$datum.$info.'</span>';
	}
	echo '</td>'."\n";
}
// Funktionen Ende

// Aktuelles Datum
$heute = getdate();
$heutestring = strftime("%Y-%m-%d", mktime());
$monatstring = strftime("%B", mktime());
// Daten ausgeben
$query = "SELECT * FROM ".CPO_MOD_VACANCY." WHERE module='".$directory."' ORDER BY datum ";
DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query); 
while ($db->next_record())  {
	$termine[]=array(
		$db->v('datum'),
		$db->v('kunde'),
		$db->v('text'),
		$db->v('description'),
		$db->v('status')
		);
}

//Kalender erstelellen

$start = mktime(0,0,0,($heute['mon']-$activeModules[$directory]['past']),1,$heute['year']);
$endmonth = $heute['mon']+$activeModules[$directory]['planning'];
$addyears=floor($endmonth/12);
$futuremonth=($addyears) ? bcmod($endmonth,$addyears*12) : $endmonth ;
$futureyear=$heute['year']+$addyears;
$end = mktime(0,0,0,($futuremonth+1),0,$futureyear);
$datum = $start;
$monthHighlight = true;
echo '<table border="0" cellpadding="0" cellspacing="1"><tr><td>';
while ($datum <= $end)  {
//	echo $datum;
	$check = getdate($datum);
	$datumstring = strftime("%Y-%m-%d", $datum);
	if ($check['mday'] == 1)  {
		echo "</tr><tr ";
		if ($monatstring==strftime("%B",$datum) && $monthHighlight)  {
			echo ' style="background-color:'. $activeModules[$directory]['month'].';"';
			$monthHighlight = false;
		}
		echo '><td align="center"><b>'.$translator->getDateTranslation(strftime("%B",$datum)).'</b></td>'."\n";
	}
	// Normalfarben
	$farbe = $activeModules[$directory]['standard'];
	if ($check['wday'] == 0 OR $check['wday'] == 6)  {
		$farbe = $activeModules[$directory]['weekend'];
	}
	// Statusfarben
	for ($s=0;$s<count($termine);$s++)  {
		if (array_search($datumstring, $termine[$s], 0) > -1)  {
			$kunde = $termine[$s][1];
			$text = $termine[$s][2];
			$description = $termine[$s][3];
			$status = $termine[$s][4];
			$farbe = $states[$status];
			break;
		}  else  {
			$kunde = "";
			$text = "";
			$description = "";
			$status = "";
		}
	}
	if ($datumstring == $heutestring)  {
		$border = 'border: 1px solid red;';
	}  else  {
		$border = "";
	}
	$kw = (strftime("%u",$datum) == 1) ? "<br />KW ".strftime("%V",$datum) : "";
	cell(strftime("%d",$datum), $kunde, $text,$farbe,$description,$kw,$datumstring,$border);
	$datum = mktime(0,0,0,$check['mon'],$check['mday']+1,$check['year']);
}
echo "</td></tr>";

echo "</table>";

if ($activeModules[$directory]['show_legend'] == 'yes')  {
	echo "<br /> <h1>".$activeModules[$directory]['legend']."</h1> <table>";
	echo "<tr>";
	foreach ($states AS $state=>$color)  {
		cell("", "", "", $color, "", "", "");
		echo "<td> ".$state." </td><td>&nbsp;&nbsp;&nbsp;</td>";
	}
	echo "</tr>";
	echo "</table>";
}


if ($permission_to_admin == '1')  {
	echo '<br /> <br /> <h1>'.__('Administrative tools').'</h1>';
	echo '<a href="'.BASE_ABS.$directory.'/export.php"><img src="../_skin/conpresso/pic_mod_active_on.gif" align="absmiddle" /> '.__('Export as CSV file').'</a><br /><br />';

	// Daten ausgeben
	$query = "SELECT left(datum, 4) AS year FROM ".CPO_MOD_VACANCY." WHERE module='".$directory."' GROUP BY year ";
	DEBUG(1, $query, __FILE__, __LINE__);
	$db = new DB;
	$db->query($query); 
	while ($db->next_record())  {
		echo '<a href="'.BASE_ABS.$directory.'/edit.php?drop='.$db->v('year').'" onClick="return confirm(\''.sprintf(__('Do you really want to delete the entries of %s?'),$db->v('year')).'\')"><img src="../_skin/conpresso/pic_del.gif" /> '.sprintf(__('Delete %s'), $db->v('year')).'</a><br />';
	}
}

// ==== footer =====
include(CPO_BASEDIR.$directory.'/producer.inc.php');
include(CPO_BASEDIR.'_include/footer.php');
