<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Vacancy"				                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

=== Version 4.0 / November 2013 ===

*/

$vacancyStates = explode("\n",$activeModules[$directory]['custom_fields']);
foreach ($vacancyStates AS $vacancyState)  {
	$vacancy = explode ( ";", trim($vacancyState) );
	$states[$vacancy[0]]=$vacancy[1];
}

// Funktionen definieren
if (!function_exists('cell'))  {
	function cell($datum,$kunde,$text,$colour,$description,$datumlink,$border)  {
		$cellstring = '	<td '.$border;
		$cellstring .= (substr($colour,0,1)=='#') ? 'style="background-color:'.$colour.';"' : 'style="background:url(../_images/'.$colour.') center;"';
		$cellstring .= ' >';
		$cellstring .= $datum;
		$cellstring .= '</td>'."\n";
		return $cellstring;
	}
}
// Funktionen Ende

// Seitenausgabe ********************************************************


// Aktuelles Datum
$heute = getdate();
$heutestring = strftime("%Y-%m-%d", mktime());
$monatstring = strftime("%B", mktime());
$mystring = strftime("%B-%Y", mktime());
// Daten ausgeben
$query = "SELECT * FROM ".CPO_MOD_VACANCY." WHERE module='".$directory."' ORDER BY datum ";
DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query); 
while ($db->next_record())  {
	$termine[]=array(
		$db->v('datum'),
		$db->v('kunde'),
		$db->v('text'),
		$db->v('description'),
		$db->v('status')
		);
}

//Kalender erstellen

$vacancyTableString = '';

$start = mktime(0,0,0,($heute['mon']-$activeModules[$directory]['past']),1,$heute['year']);
$endmonth = $heute['mon']+$activeModules[$directory]['future'];
$addyears=floor($endmonth/12);
$futuremonth=($addyears) ? bcmod($endmonth,$addyears*12) : $endmonth ;
$futureyear=$heute['year']+$addyears;
$end = mktime(0,0,0,($futuremonth+1),0,$futureyear);
$datum = $start;
$vacancyTableString = '<table class="vacancy"><tr><td>';
while ($datum <= $end)  {
	$check = getdate($datum);
	$datumstring = strftime("%Y-%m-%d", $datum);
	if ($check['mday'] == 1)  {
		$vacancyTableString .=  '</tr><tr ';
		if ($mystring==strftime("%B-%Y",$datum))  {
			$vacancyTableString .= 'class="monthrow" style="background-color:'. $activeModules[$directory]['month'].';"';
		}
		$vacancyTableString .= '><th>'.$translator->getDateTranslation(strftime("%B",$datum)).'</th>'."\n";
	}
	// Normalfarben
	$farbe = $activeModules[$directory]['standard'];
	if ($check['wday'] == 0 OR $check['wday'] == 6)  {
		$farbe = $activeModules[$directory]['weekend'];
	}
	// Statusfarben
	for ($s=0;$s<count($termine);$s++)  {
		if (array_search($datumstring, $termine[$s], 0) > -1)  {
			$kunde = $termine[$s][1];
			$text = $termine[$s][2];
			$description = $termine[$s][3];
			$status = $termine[$s][4];
			$farbe = $states[$status];
			break;
		}  else  {
			$kunde = "";
			$text = "";
			$description = "";
			$status = "";
		}
	}
	if ($datumstring == $heutestring)  {
		$border = 'class="today" ';
	}  else  {
		$border = '';
	}
	$vacancyTableString .= cell(strftime("%d",$datum), $kunde, $text,$farbe,$description,$datumstring,$border);
	$datum = mktime(0,0,0,$check['mon'],$check['mday']+1,$check['year']);
}
$vacancyTableString .= '</td></tr>';

$vacancyTableString .= '</table>';

if ($activeModules[$directory]['show_legend'] == 'yes')  {
	$vacancyTableString .= '<h3>'.$activeModules[$directory]['legend'].'</h3> <table>';

	$vacancyTableString .= '<tr>';

	foreach ($states AS $state=>$color)  {
		$vacancyTableString .= cell("&nbsp;&nbsp;&nbsp;", "", "", $color, "", "", "");
		$vacancyTableString .= '<td> '.$state.' </td><td>&nbsp;&nbsp;&nbsp;</td>';
	}

	$vacancyTableString .= '</tr>';
	$vacancyTableString .= '</table>';
}

?>